> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt
> Use this file to discover all available pages before exploring further.
# List ABAC attribute definitions
>
- Lists all ABAC attribute definitions.
- Returns a paginated list of attribute definitions (key and allowed values).
- Supports optional filtering by attribute key or value, and pagination via offset and count query parameters.
- Requires the `abac-management` and `manage-abac-admin-room-attributes` permissions.
### Changelog
| Version | Description |
| ------- | ----------- |
| 8.0.0 | Added |
| 8.5.0 | Added the `manage-abac-admin-room-attributes` granular permission requirement. |
## OpenAPI
````json GET /api/v1/abac/attributes
{
"openapi": "3.0.0",
"info": {
"version": "1.0.0",
"title": "Rooms"
},
"servers": [
{
"url": "https://apiexplorer.support.rocket.chat"
}
],
"tags": [
{
"name": "Channels"
},
{
"name": "Directory"
},
{
"name": "Groups"
},
{
"name": "Rooms"
},
{
"name": "Teams"
},
{
"name": "Room Invites"
},
{
"name": "Subscriptions"
},
{
"name": "ABAC"
}
],
"paths": {
"/api/v1/abac/attributes": {
"parameters": [],
"get": {
"summary": "List ABAC attribute definitions",
"tags": [
"ABAC"
],
"responses": {
"200": {
"description": "OK",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"success": {
"type": "boolean"
},
"attributes": {
"type": "array",
"items": {
"type": "object",
"properties": {
"_id": {
"type": "string"
},
"key": {
"type": "string"
},
"values": {
"type": "array",
"items": {
"type": "string"
}
}
}
}
},
"offset": {
"type": "integer"
},
"count": {
"type": "integer"
},
"total": {
"type": "integer"
}
}
},
"examples": {
"Success": {
"value": {
"success": true,
"attributes": [
{
"_id": "69778264070f6083845051e6",
"key": "departmentNumber",
"values": [
"department"
]
},
{
"_id": "697ca091070f60838450580d",
"key": "my_department",
"values": [
"eng",
"sales",
"hr",
"it"
]
}
],
"offset": 0,
"count": 25,
"total": 5
}
}
}
}
}
},
"400": {
"description": "Bad Request",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"success": {
"type": "boolean"
},
"error": {
"type": "string"
}
}
},
"examples": {
"Invalid query": {
"value": {
"success": false,
"error": "error-invalid-query-parameters"
}
}
}
}
}
},
"401": {
"description": "Unauthorized",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"success": {
"type": "boolean"
},
"error": {
"type": "string"
}
}
},
"examples": {
"Unauthorized login attempt": {
"value": {
"success": false,
"error": "error-unauthorized"
}
}
}
}
}
},
"403": {
"description": "Forbidden",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"success": {
"type": "boolean"
},
"error": {
"type": "string"
}
}
},
"examples": {
"Missing required ABAC permissions": {
"value": {
"success": false,
"error": "error-not-authorized"
}
}
}
}
}
}
},
"operationId": "get-abac-attributes",
"description": "\n\n- Lists all ABAC attribute definitions.\n- Returns a paginated list of attribute definitions (key and allowed values).\n- Supports optional filtering by attribute key or value, and pagination via offset and count query parameters.\n- Requires the `abac-management` and `manage-abac-admin-room-attributes` permissions.\n\n### Changelog\n| Version | Description |\n| ------- | ----------- |\n| 8.0.0 | Added |\n| 8.5.0 | Added the `manage-abac-admin-room-attributes` granular permission requirement. |",
"parameters": [
{
"schema": {
"type": "number"
},
"in": "query",
"name": "offset",
"description": "Pagination offset (default: 0)"
},
{
"schema": {
"type": "number"
},
"in": "query",
"name": "count",
"description": "Number of items per page (default: 25)"
},
{
"schema": {
"type": "string"
},
"in": "query",
"name": "key",
"description": "Filter attribute definitions by key (case-insensitive match)"
},
{
"schema": {
"type": "string"
},
"in": "query",
"name": "values",
"description": "Filter attribute definitions by values (case-insensitive match)"
},
{
"$ref": "#/components/parameters/Auth-Token"
},
{
"$ref": "#/components/parameters/UserId"
}
]
}
}
},
"components": {
"parameters": {
"Auth-Token": {
"name": "X-Auth-Token",
"in": "header",
"description": "The `authToken` of the authenticated user.",
"required": true,
"schema": {
"type": "string"
},
"example": "RScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f"
},
"UserId": {
"name": "X-User-Id",
"in": "header",
"description": "The `userId` of the authenticated user.",
"required": true,
"schema": {
"type": "string"
},
"example": "rbAXPnMktTFbNpwtJ"
}
}
}
}
````